package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgMatchEvaluate struct {
	models.Model
	MatchId                 string `json:"matchId" gorm:"type:bigint(20);comment:比赛id"`
	Rounds                  string `json:"rounds" gorm:"type:bigint(20);comment:轮次"`
	TeamUserId              string `json:"teamUserId" gorm:"type:bigint(20);comment:org_team_user表id（教练id）"`
	PlayerId                string `json:"playerId" gorm:"type:bigint(20);comment:org_player表id（球员id）"`
	Content                 string `json:"content" gorm:"type:text;comment:教练评价内容"`
	ContentStatus           string `json:"contentStatus" gorm:"type:bigint(20);comment:教练评价状态 1 待评价 2 评价完成"`
	ContentDate             string `json:"contentDate" gorm:"type:datetime;comment:教练评价时间"`
	ContentImg              string `json:"contentImg" gorm:"type:varchar(255);comment:教练评价签名图"`
	WonderfulMomentImg      string `json:"wonderfulMomentImg" gorm:"type:varchar(255);comment:精彩时刻图"`
	WonderfulMomentMv       string `json:"wonderfulMomentMv" gorm:"type:varchar(255);comment:精彩时刻视频"`
	WonderfulMomentImgTitle string `json:"wonderfulMomentImgTitle" gorm:"type:varchar(255);comment:精彩时刻图标题"`
	WonderfulMomentMvTitle  string `json:"wonderfulMomentMvTitle" gorm:"type:varchar(255);comment:精彩时刻视频标题"`
	MvStatus                string `json:"mvStatus" gorm:"type:bigint(20);comment:视频维护状态 1 待维护 2 维护完成 3 驳回 4 维护完成"`
	Status                  string `json:"status" gorm:"type:bigint(20);comment:发布状态 1 待审核 3 驳回 4 发布完成"`
	Remark                  string `json:"remark" gorm:"type:varchar(255);comment:驳回原因"`
	models.ModelTime
	models.ControlBy
}

func (OrgMatchEvaluate) TableName() string {
	return "org_match_evaluate"
}

func (e *OrgMatchEvaluate) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgMatchEvaluate) GetId() interface{} {
	return e.Id
}
